CirrusSearch: When the user is searching multiple namespaces assign boost to the article score based on namespace
Closed, ResolvedPublic

Description

When the user is searching multiple namespaces assign boost to the article score based on namespace. This is the configuration lsearchd is:

Explicitly called out namespaces:
commonswiki : (0, 1) (6, 4)
<default> : (0, 1) (1, 0.0005) (2, 0.005) (3, 0.001) (4, 0.01), (6, 0.02), (8, 0.005), (10, 0.0005), (12, 0.01), (14, 0.02)

Defaults for the page:
If not defined the default it 1 for non-talk namespaces and .25 for talk pages. But, things like the "talk" namespace, as you can see, got 0.0005 in most wikis.

Honestly this should be configurable on wiki the same with boost-templates is with some sane defaults.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=22774

bzimport added a project: CirrusSearch.Via ConduitNov 22 2014, 3:08 AM
bzimport set Reference to bz61053.
Manybubbles created this task.Via LegacyFeb 7 2014, 8:02 PM
Manybubbles added a comment.Via ConduitFeb 10 2014, 9:43 PM

Chad made the comment that most things to do with namespaces are configured at the initialize-settings/wmf level rather than in a message.

I'll implement that and if we need more configuration we can add it later.

gerritbot added a comment.Via ConduitFeb 11 2014, 2:19 AM

Change 112629 had a related patch set uploaded by Manybubbles:
Boost pages based on their namespace

https://gerrit.wikimedia.org/r/112629

gerritbot added a comment.Via ConduitFeb 11 2014, 2:50 AM

Change 112629 merged by jenkins-bot:
Boost pages based on their namespace

https://gerrit.wikimedia.org/r/112629

Deskana moved this task to Resolved/Invalid/Declined/Legacy on the CirrusSearch workboard.Via WebMon, Apr 20, 4:08 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.